#ifndef KLCALIBRATION__H__
#define KLCALIBRATION__H__

#include <iostream>
#include <cstdlib>
#include <cstdio>

#include "gamma/Gamma.h"
#include "pi0/Pi0.h"
#include "klong/Klong.h"
#include "klong/RecKlong.h"

#include "TVector3.h"
#include "TMatrixD.h"
#include "TVectorD.h"
#include "TDecompLU.h"
#include "TMath.h"
#include "CLHEP/Vector/ThreeVector.h"

static const Int_t    MAX_ITERATIONS = 30;
static const Double_t MASS_PI0       = 134.9766;
static const Double_t MASS_KL        = 497.648;
Double_t Calibrate( Klong& KL, TVector3& klPos, Double_t& chi2 );

#endif // KLCALIBRATION__H__
